summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2013-11-21 21:08:47 +0100
committerMartin Väth <martin@mvath.de>2015-10-11 10:49:04 +0200
commitda891b2e490ba8a42d25187063dca66aaf72eff2 (patch)
tree699f1754940fc7bc18b99a5f61b78f535724e618 /sys-apps/cpi
parentBump archwrap (diff)
downloadmv-da891b2e490ba8a42d25187063dca66aaf72eff2.tar.gz
mv-da891b2e490ba8a42d25187063dca66aaf72eff2.tar.bz2
mv-da891b2e490ba8a42d25187063dca66aaf72eff2.zip
Bump packages to push email
Diffstat (limited to 'sys-apps/cpi')
-rw-r--r--sys-apps/cpi/ChangeLog5
-rw-r--r--sys-apps/cpi/Manifest2
-rw-r--r--sys-apps/cpi/cpi-2.7.ebuild (renamed from sys-apps/cpi/cpi-2.5.ebuild)8
3 files changed, 11 insertions, 4 deletions
diff --git a/sys-apps/cpi/ChangeLog b/sys-apps/cpi/ChangeLog
index b4d6a64f..82c0f0d9 100644
--- a/sys-apps/cpi/ChangeLog
+++ b/sys-apps/cpi/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*cpi-2.7 (21 Nov 2013)
+
+ 21 Nov 2013; Martin Väth <martin@mvath.de>:
+ Version bump, remove old ebuild.
+
*cpi-2.5 (02 Nov 2013)
02 Nov 2013; Martin Väth <martin@mvath.de>:
diff --git a/sys-apps/cpi/Manifest b/sys-apps/cpi/Manifest
index 337decee..e7e7c66c 100644
--- a/sys-apps/cpi/Manifest
+++ b/sys-apps/cpi/Manifest
@@ -1 +1 @@
-DIST cpi-2.5.tar.gz 3474 SHA256 6e2ce700e767a3922d73f6526985e2d0aeb18867eb84707a87fe2298ab976a99 SHA512 d75a32e1d7165325bcfe9df47206588b0d4e5b58be1fdfc5871425777983ede579176119cd3573f2f500559a61198c01a22585e6d9f652b8a4c1f990f71479a0 WHIRLPOOL 8550f43a0d136f64c18121522c47940704dd4733d6e63ef7efeb525caaed074d5b02af7fa0b04d79fc7d7fbea0332cadea95898dbd77031ec7020b9ca9bb55c6
+DIST cpi-2.7.tar.gz 3462 SHA256 33944e54fb3afe3e41e2d415db5155137e6ca2d11ead10589a4c14f78d425c66 SHA512 ff366674897a086c82fb9c63f32a6e7c3b3cf1feef8b935e6461df9182c53f2900d92d6bfd3ecb9ecab8d8782d5f71f01bb19ea143ad05b8f2ef7c3dddebced1 WHIRLPOOL 84858d8156a3b20d7d650936d24ba97533ca6d31b4a70a2eb6f9746fa8b1c4e9633d85206871125579ecf52627e375b9977fa82e5573358541625e8d0e42c991
diff --git a/sys-apps/cpi/cpi-2.5.ebuild b/sys-apps/cpi/cpi-2.7.ebuild
index 7238cc26..dcf17082 100644
--- a/sys-apps/cpi/cpi-2.5.ebuild
+++ b/sys-apps/cpi/cpi-2.7.ebuild
@@ -8,7 +8,7 @@ inherit eutils vcs-snapshot
DESCRIPTION="A wrapper for cp -i -a, making use of diff"
HOMEPAGE="https://github.com/vaeth/cpi/"
-SRC_URI="http://github.com/vaeth/${PN}/tarball/release-${PV} -> ${P}.tar.gz"
+SRC_URI="http://github.com/vaeth/${PN}/tarball/${PV} -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
@@ -18,12 +18,14 @@ IUSE=""
src_prepare() {
use prefix || sed -i \
-e '1s"^#!/usr/bin/env sh$"#!'"$(command -v sh)"'"' \
- -- bin/* || die
+ -- bin/cpi || die
epatch_user
}
src_install() {
- dobin bin/*
+ dobin bin/cpi
+ insinto /usr/bin
+ doins bin/mvi
insinto /usr/share/zsh/site-functions
doins zsh/*
}